<svg
    [attr.class]="styles"
    xmlns="http://www.w3.org/2000/svg"
    role="img"
    [attr.aria-labelledby]="ariaTitle"
    [attr.aria-describedby]="ariaDesc"
    [attr.width]="width"
    [attr.height]="height"
>
    <title [id]="ariaTitle">
        {{ title }}
    </title>
    <desc [id]="ariaDesc">
        {{ desc }}
    </desc>
    <use
        xmlns:xlink="http://www.w3.org/1999/xlink"
        [attr.xlink:href]="svgId"
    ></use>
</svg>
